<template>
    <div class="columns is-multiline product items-center">
        <div class="column is-6">
          <div class="flex items-center px-2">
            <div class="px-2"><img v-if="product.images.lenght" class="w-12 h-12" :src="apiStorage + product.images[0].source" alt=""></div>
            <div class="px-2">{{ product.product.name }} {{ product.name }} {{ product.type }}</div>
            </div>
        </div>
        <div class="column is-2">
            {{ product.price }}
        </div>
        <div class="column is-1">
            <div class="field">
                <div class="control">
                    <div class="select is-small">
                        <select v-model="quantity">
                            <option value="0" v-if="product.quantity == 0">0</option>
                            <option
                                :value="x"
                                v-for="x in product.stock_count"
                                :key="x"
                                :selected="x == product.quantity"
                            >
                                {{ x }}
                            </option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="column is-1">
            <a class="button is-danger is-small is-outlined" @click.prevent="destroy(product.id)">
                <!-- <span class="icon is-small"> -->
                <b-icon pack="fas" icon="trash"></b-icon>
                <!-- </span> -->

            </a>
        </div>

        <div class="column">
            {{ product.total }}
        </div>
    </div>
</template>
<script>
import { mapActions } from 'vuex'

export default {
    data () {
        return {
            apiStorage: 'http://127.0.0.1:8000/storage/imgs/products/'
        }
    },

    mounted() {
      this.$nextTick(() => {
        console.log(this.product)
      })
    },

    computed: {
        quantity: {
            get() {
                return this.product.quantity
            },
            set(quantity) {
                this.update({ productId: this.product.id, quantity })
            }
        }
    },

    props: {
        product: {
            required: true,
            type: Object
        }
    },

    methods: {
        ...mapActions({
            destroy: 'cart/destroy',
            update: 'cart/update'
        }),

        /*
        destroyProduct (productId) {
            if (confirm('Tem certeza que deseja excluir este item?')){
                this.destroy(productId)
            }
        }
        */
    },
}
</script>

<style scoped>

</style>
